Subject: Re: [PATCH] powerpc: Align hot loops of memset() and backwards_memcpy()

From: Anton Blanchard <[email-masked]>
Date: Fri, 5 Aug 2016 21:54:37 +1000

Hi Nick,

> Hmm. If we execute this loop once, we'll only fetch additional nops.
> Twice, and we make up for them by not fetching unused instructions.
> More than twice and we may start winning.
> 
> For large sizes it probably helps, but I'd like to see what sizes
> memset sees.

I found this in a trace of nginx web serving. Looking back at it,
get_empty_filp() zeros a struct file, and we go through the loop 4
times. We might want to look more generally at what lengths memset() is
called with though.

Anton